Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > > Class Reference

Template specialization of <ACE_Guard> for the <ACE_Null_Mutex>. More...

`#include <Select_Reactor.h>`

List of all members.

## Public Methods
| ACE_Guard (ACE_Select_Reactor_Token_T< ACE_Noop_Token > &)
| ACE_Guard (ACE_Select_Reactor_Token_T< ACE_Noop_Token > &, int)
| ~ACE_Guard (void)
int | acquire (void)
int | tryacquire (void)
int | release (void)
int | locked (void)
int | remove (void)
void | dump (void) const
## Private Methods
void | operator= (const ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > > &)
| ACE_Guard (const ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > > &)

## Detailed Description

Template specialization of <ACE_Guard> for the <ACE_Null_Mutex>.

This specialization is useful since it helps to speedup performance of the "Null_Mutex" considerably.

## Constructor & Destructor Documentation

ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::~ACE_Guard | ( | void |  | ) | `[inline]`

## Member Function Documentation

ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::ACE_Guard | ( | const ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > > & |  | ) | `[private]`

ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::ACE_Guard | ( | ACE_Select_Reactor_Token_T< ACE_Noop_Token > & | ,
|  | int |
| ) | `[inline]`

ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::ACE_Guard | ( | ACE_Select_Reactor_Token_T< ACE_Noop_Token > & |  | ) | `[inline]`

int ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::acquire | ( | void |  | ) | `[inline]`

void ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::dump | ( | void |  | ) | const`[inline]`

int ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::locked | ( | void |  | ) | `[inline]`

void ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::operator= | ( | const ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > > & |  | ) | `[private]`

int ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::release | ( | void |  | ) | `[inline]`

int ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::remove | ( | void |  | ) | `[inline]`

int ACE_Guard< ACE_Select_Reactor_Token_T< ACE_Noop_Token > >::tryacquire | ( | void |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Select_Reactor.h